Bug 74802 - gtk+-1.2.x always beeps even when X bell volume set to 0
Summary: gtk+-1.2.x always beeps even when X bell volume set to 0
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gtk+ (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 79579
TreeView+ depends on / blocked
 
Reported: 2002-10-01 20:01 UTC by Jeremy Sanders
Modified: 2007-04-18 16:46 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-15 18:10:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to modify beep volume to default X beep volume (183 bytes, patch)
2002-10-01 20:02 UTC, Jeremy Sanders
no flags Details | Diff
gdk_beep test program: compile with gcc test.c `gtk-config --cflags --libs` (142 bytes, text/plain)
2002-10-01 20:09 UTC, Jeremy Sanders
no flags Details

Description Jeremy Sanders 2002-10-01 20:01:15 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1) Gecko/20020826

Description of problem:
gtk+-1.2.10 contains the function gdk_beep which is supposed to make a beep.
However this function always ignores the beep volume set using xset or the gnome
configuration tools, as it calls XBell(display, 100) rather than XBell(display,
0). XBell(display, 100) increases the current bell volume by 100%, ensuring it
always beeps. This problem was fixed in gtk-2.x.

There are many applications using gtk+-1.2 which beep (e.g. Mozilla-1.2a), but
it is impossible to set their volume. I propose patching the gdk_beep function
to modify the value 100 to 0 in the gtk+ package.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Write gtk+ program to call gdk_beep
2. Observe it always beeps, even if xset volume configured to 0
3.
	

Additional info:

Comment 1 Jeremy Sanders 2002-10-01 20:02:34 UTC
Created attachment 77904 [details]
patch to modify beep volume to default X beep volume

Comment 2 Jeremy Sanders 2002-10-01 20:09:05 UTC
Created attachment 77924 [details]
gdk_beep test program: compile with gcc test.c `gtk-config  --cflags --libs`

Comment 3 Owen Taylor 2002-11-01 02:26:02 UTC
Same as http://bugzilla.gnome.org/show_bug.cgi?id=60028

Comment 4 Owen Taylor 2003-01-15 18:10:11 UTC
* Wed Jan 15 2003 Owen Taylor <otaylor@redhat.com> 1.2.10-24
- Obey the system bell volume (#74802)



Note You need to log in before you can comment on or make changes to this bug.